Bug 55355 - Writer PRINTING, PDF, FILEOPEN DOCX: Embedded image imported from docx file print at wrong size
Summary: Writer PRINTING, PDF, FILEOPEN DOCX: Embedded image imported from docx file p...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Print-Preview
  Show dependency treegraph
 
Reported: 2012-09-26 11:26 UTC by Ian Miller
Modified: 2018-05-23 19:52 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Meeting minutes, with captured text image on page 3. (57.08 KB, application/vnd.oasis.opendocument.text)
2012-09-26 11:26 UTC, Ian Miller
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Miller 2012-09-26 11:26:43 UTC
Created attachment 67719 [details]
Meeting minutes, with captured text image on page 3.

An imported docx file has an imported image (scanned text).
This displays correctly in the edit window.
In the print preview the image is enlarged and clipped.
When printed (HP D7160) it is reduced to about 20%.

I have also printed the file to SnagIt (image capture).  In this case it is reduced to about 40%.
Comment 1 Stephan van den Akker 2012-11-20 21:20:11 UTC
Confirmed with supplied sample document on openSUSE 12.2 (x86-64) with:

- LO Version 4.0.0.0.alpha0+ (Build ID: 67fca3), pulled 19 November 2012.
- LibreOffice 3.5:build-403 Build ID: 350m1(Build:403)

Problem not confined to bitmaps. I can supply an example with a vector based graph that is also extremely enlarged when printed or exported to pdf.
Comment 2 Stephan van den Akker 2012-11-21 09:19:50 UTC
When opening the sample document with Libre Office version 4.0.0.0.alpha0+ (Build ID: 56d3de), on openSUSE 11.4 (x86_64), build with --enable-symbols --enable-debug, the following waring appears several times:

warn:svl.items:19480:1:/home/stephan/Software/libreoffice-master/core/svl/source/items/itempool.cxx:517: fuer Image, dort gibt es derzeit keine Statics - Bug

When exporting to PDF the scanned page is not present in the PDF. Just an empty page. Same result with LO Version 3.6:build-302 (Build ID: 360m1(Build:302)) on openSUSE 11.4.

When opening my DOCX with the vector based graph a similar warning appears:

warn:legacy.osl:18226:1:/home/stephan/Software/libreoffice-master/core/oox/source/docprop/docprophandler.cxx:319: For now unexpected tags are ignored!
warn:legacy.osl:18226:1:/home/stephan/Software/libreoffice-master/core/oox/source/helper/storagebase.cxx:74: StorageBase::StorageBase - missing base input stream
warn:svl.items:18226:1:/home/stephan/Software/libreoffice-master/core/svl/source/items/itempool.cxx:517: fuer Image, dort gibt es derzeit keine Static
Comment 3 Stephan van den Akker 2013-05-31 20:03:04 UTC
Reproducible with MASTER on Ubuntu 12.04 (32-bit):

Version: 4.2.0.0.alpha0+
Build ID: c2530b02311c46529eed53ee688bf6c83ce4b86
Comment 4 Cédric Bosdonnat 2014-01-20 08:57:53 UTC
Restricted my LibreOffice hacking area
Comment 5 Joel Madero 2015-05-02 15:42:40 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-06-20 16:35:35 UTC
Confirmed with preview & PDF printing.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 7 QA Administrators 2016-09-20 10:12:14 UTC Comment hidden (obsolete)
Comment 8 Stephan van den Akker 2016-09-20 13:41:20 UTC
Reproduced in LOdev:

Version: 5.3.0.0.alpha0+
Build ID: 075489b4b810692edc2ba9910eb3ca659a2b6745
CPU Threads: 4; OS Version: Linux 3.12; UI Render: default; 
Locale: en-GB (en_GB.UTF-8); Calc: group
Comment 9 Xisco Faulí 2017-09-29 08:50:40 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.4.1 or 5.3.6  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170929